gtk.Requisition
Prev | The gtk Class Reference | Next

## gtk.Requisition

gtk.Requisition — an object containing information about the desired space requirements of a widget.

## Synopsis

    class gtk.Requisition(gobject.GBoxed):
        def copy()
        def free()

## Attributes

"width" | Read-Write | the desired width of the widget
"height" | Read-Write | the desired height of the widget

## Description

A `gtk.Requisition` holds the information about the desired space requirements (width and height) of a widget. A `gtk.Requisition` object has `width` and `height` attributes that can be read and written.

### Note

There appears to be no way to create or use a `gtk.Requisition` in PyGTK other than as an argument in the handler for the `gtk.Widget` "size-request" signal.

## Methods

### gtk.Requisition.copy

        def copy()

Returns : | a copy of the `gtk.Requisition`

The `copy`() method returns a copy of the `gtk.Requisition`.

### gtk.Requisition.free

        def free()

### Warning

This method is deprecated and should not be used since it can crash your application.

The `free`() method frees the resources allocated to the `gtk.Requisition`.

Prev | Up | Next
gtk.RecentManager | Home | gtk.Ruler